$nameservers = ['192.168.1.155', '1.1.1.1']
include stdlib

include apt

include hosts
include dns
include utils
include keys

# For nodes that haven't got the service enabled
service { 'puppet': 
  ensure => 'running',
  enable => true
}

# This server itself
node 'puppet-server.cluster' {
  include infisical::cli
}

node 'nginx.cluster' {
  include elastic::filebeat
  include reverse_proxy
}

node 'garage.cluster' {
  include garage
}

node 'postgresql.cluster' {
  include postgresql
}

node 'unifi.cluster'  {
  include unifi
}

node 'authentik.cluster' {
  include authentik
}

node 'forgejo.cluster' {
  include forgejo
}

node 'kibana.cluster' {
  include elastic::kibana
}

node 'elasticsearch.cluster' {
  include elastic::search
}

node 'owncloud.cluster' {
  include owncloud
}

node 'infisical.cluster' {
  include infisical
}

node default {}
